#
# spec file for package xlogin (Version 0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xlogin
Copyright:    1997 SuSE GmbH
Group:        X11/Applications
Provides:     xlogin 
Requires:     textutils
Autoreqprov:  on
Version:      0.1
Release:      405
Summary:      xlogin, xtelnet
Source: xlogin-0.1.tar.gz
Patch: xlogin-0.1.dif

%description
This package contains two scripts, which, called with the name of
a remote host, will open an xterm window on the local X display
with a remote session or login shell.
The script xlogin starts by a rsh call (remote shell) an xterm on
the remote host.  If necessary, the access will be allowed by
sending the magic key (cookie) of the display to the remote host.
The script xtelnet starts a local xterm with a telnet session
on the remote host.

Authors:
--------
    Werner Fink <werner@suse.de>

SuSE series: xap

%prep
%setup
%patch
  xmkmf

%build

%install
  make install
  make install.man

%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
/usr/X11R6/bin/xlogin
/usr/X11R6/bin/xtelnet
%doc /usr/X11R6/man/man1/xlogin.1x.gz
%doc /usr/X11R6/man/man1/xtelnet.1x.gz

%changelog -n xlogin
* Wed Sep 12 2001 - werner@suse.de
- Do not use -n if rsh is used within a pipe
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Fri Dec 15 2000 - kukuk@suse.de
- fix requires
* Tue Dec 12 2000 - werner@suse.de
- Make ssh work proper
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jan 22 1997 - werner@suse.de
- Erstellung der Sourcen und des Paketes
  * xlogin: Skript zum Start eines remoten xterms
  auf dem lokalen Display.
  * xtelnet: Skript zum Start eines lolkalen xterms
  mit einer telnet-Session auf dem lokalen Display.
